#ifndef __HEADER_TS_CONFIG
#define __HEADER_TS_CONFIG

#include <stdio.h>

typedef struct config_st
{
	int verbose;
	
	int dump_pes;
	int dump_ts;
	int dump_es;
	int dump_info;
	
	int out_hex;
	int out_info_with_nit;

	enum config_out_enum { OUT_NONE, OUT_PES, OUT_ES, OUT_TS, OUT_INFO_XML, OUT_INFO_TEXT } out;
	
	int filter_audio;
	int filter_video;
	int filter_by_pid;
	int filtered_pid;
	
	FILE * fd_in;
	FILE * fd_out;
	
} config;

void config_reset (config *cfg);
void config_parse (config *cfg, int argc, char **argv);

#endif
